#
# spec file for package c3p0
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2008, JPackage Project
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define	mchange_commons mchange-commons-java-0.2.11
Name:           c3p0
Version:        0.9.5.2
Release:        2.39
Summary:        JDBC DataSources/Resource Pools
License:        LGPL-2.0+
Group:          Development/Libraries/Java
Url:            http://sourceforge.net/projects/c3p0/
Source0:        http://downloads.sourceforge.net/sourceforge/c3p0/c3p0-0.9.5.2.src.tgz
Source1:        https://github.com/swaldman/mchange-commons-java/archive/%{mchange_commons}.tar.gz
Patch0:         %{name}-embed-mchange-common.patch
Patch1:         %{name}-javadoc.patch
BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  javapackages-tools
BuildRequires:  junit
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:       hibernate_jdbc_cache
BuildArch:      noarch

%description
c3p0 is an easy-to-use library for augmenting traditional
(DriverManager-based) JDBC drivers with JNDI-bindable DataSources,
including DataSources that implement Connection and Statement Pooling,
as described by the jdbc3 spec and jdbc2 standard extension.

%package javadoc
Summary:        Javadoc for c3p0
Group:          Development/Libraries/Java

%description javadoc
Javadoc documentation for c3p0.

%prep
%setup -q -n %{name}-%{version}.src -b1
%patch0
%patch1 -p1

%build
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-nodeps"
ant \
    -Dmchange-commons.dir=$RPM_BUILD_DIR/mchange-commons-java-%{mchange_commons}/src/main \
	-Djunit.jar.file=$(build-classpath junit) \
    jar javadoc

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# hibernate_jdbc_cache ghost symlink
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
ln -s -f %{_sysconfdir}/alternatives/hibernate_jdbc_cache.jar \
  %{buildroot}%{_javadir}/hibernate_jdbc_cache.jar

%post
update-alternatives --install %{_javadir}/hibernate_jdbc_cache.jar \
  hibernate_jdbc_cache %{_javadir}/%{name}.jar 20

%preun
if [ "$1" = 0 ] ; then
  update-alternatives --remove hibernate_jdbc_cache %{_javadir}/%{name}.jar
fi

%files
%doc src/dist-static/LICENSE src/doc/index.html
%{_javadir}/*
%ghost %{_sysconfdir}/alternatives/hibernate_jdbc_cache.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon Sep 18 2017 fstrba@suse.com
- Added patch:
  * c3p0-javadoc.patch
    + Use test-classpath for javadoc generation, since it tries
    to document also junit test files
- Add dependency on junit
- Clean spec file
* Fri Apr 22 2016 dmacvicar@suse.de
- update to version 0.9.5.2
- update mchange-commons-java component to version 0.2.11
- clean spec file
* Fri Jun 27 2014 smoioli@suse.com
- bugfix: dependent library was not embedded correctly
* Fri Jun 27 2014 smoioli@suse.com
- updated to upstream 0.9.5, that is compatible with Java 7 / JDBC 4
* Tue Sep 24 2013 dmacvicar@suse.de
- Explicitly BuildRequires java-devel
* Thu Dec  9 2010 mc@suse.de
- initial release
